package com.liquidnet.client.admin.zhengzai.adam.service;

import com.github.pagehelper.PageInfo;
import com.liquidnet.service.adam.dto.param.AdamCaomeiBadgeApplyAuditSearchParam;
import com.liquidnet.service.adam.dto.vo.AdamCaomeiBadgeApplyAuditDetailVo;
import com.liquidnet.service.adam.dto.vo.AdamCaomeiBadgeApplyAuditVo;

public interface IAdamCaomeiBadgeApplyAuditAdminService {

    PageInfo<AdamCaomeiBadgeApplyAuditVo> listApplyAudits(AdamCaomeiBadgeApplyAuditSearchParam param);

    AdamCaomeiBadgeApplyAuditDetailVo getApplyAuditDetail(String applyRecordId);

    boolean passApplyAudit(String applyRecordId);

    boolean rejectApplyAudit(String applyRecordId, String rejectReason);
}
